Skip to content
GET/organizations/{organizationId}

Get organization

Returns an organization data

Path Parameters

Query Parameters

modifiedBeforedate-timeoptional
modifiedAfterdate-timeoptional

Authentication: X-API-Key

Request

GET/organizations/{organizationId}
curl --request GET 'https://cloud.campai.com/api/organizations/{organizationId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

shortIdstringrequired

minLength: 5

maxLength: 5

Additional properties are not allowed.

namestringrequired

minLength: 1

maxLength: 120

foundingYearinteger | nullrequired

minimum: -9007199254740991

maximum: 9007199254740991

Additional properties are not allowed.

Additional properties are not allowed.

creditnumberrequired
slugstringrequired

minLength: 1

Additional properties are not allowed.

languagestringrequired

Options:

ende
verifiedboolean | nulloptional
onlineLetterSendingbooleanrequired
newCRMModestringrequired

Options:

notAvailableavailablereplace
migrationStatusstring | nulloptional

Options:

availableinProgressfinished
migratedAtstring | nulloptional
stripeAccountstringrequired
createdAtdate-time | nulloptional

Additional properties are not allowed.

useSingleCommunicationTemplatebooleanrequired
memberCountintegerrequired

minimum: -9007199254740991

maximum: 9007199254740991

userCountintegerrequired

minimum: -9007199254740991

maximum: 9007199254740991

paypalAccountstringrequired
hasEventimbooleanrequired
hasPortalbooleanrequired

Additional properties are not allowed.

Response

200
{
  "_id": "000000000000000000000001",
  "shortId": "string",
  "avatar": {
    "resource": "string"
  },
  "name": "string",
  "website": "",
  "foundingYear": -9007199254740991,
  "address": {
    "country": "string",
    "zip": "string",
    "city": "string",
    "addressLine": "string"
  },
  "brand": {
    "backgroundColor": "string",
    "textColor": "string"
  },
  "credit": 1,
  "slug": "string",
  "checks": {},
  "language": "en",
  "onlineLetterSending": true,
  "newCRMMode": "notAvailable",
  "stripeAccount": "string",
  "childrenCount": {},
  "parentOrganizations": [
    "000000000000000000000001"
  ],
  "replyToSettings": {
    "defaultReplyToAddress": "string",
    "specificReplyToAddresses": {
      "receipts": {}
    },
    "allowedAddresses": [
      "string"
    ]
  },
  "useSingleCommunicationTemplate": true,
  "memberCount": -9007199254740991,
  "userCount": -9007199254740991,
  "paypalAccount": "string",
  "hasEventim": true,
  "hasPortal": true,
  "billing": {
    "subscription": {
      "id": "string",
      "status": "trialing",
      "isCustom": true,
      "startDate": "2026-06-15T22:30:00Z",
      "trialEndDate": "2026-06-15T22:30:00Z",
      "cancelDate": "2026-06-15T22:30:00Z",
      "cancelReason": {
        "reason": "other",
        "comment": "string"
      },
      "cancelBehaviour": "lockOrganization"
    },
    "accessLock": {
      "isLocked": true,
      "adminLockedAt": "2026-06-15T22:30:00Z",
      "publicLockedAt": "2026-06-15T22:30:00Z",
      "deletionAt": "2026-06-15T22:30:00Z"
    },
    "products": [
      "main"
    ]
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}